Loading...
Searching...
No Matches
tid1600.h File Reference

Interface class and error constants for TID 1600 in module dcmsr/cmr. More...

## Classes

class | TID1600_ImageLibrary
| Implementation of DCMR Template: TID 1600 - Image Library (and included templates 1601-1607). More...

## Variables

specific error conditions for TID 1600 in module dcmsr/cmr
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_NoImageLibrary
| error: there is no image library to add image groups to
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_NoImageLibraryGroup
| error: there is no image library group to add image entries to
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_NoImageLibraryEntry
| error: there is no image library entry to add descriptors to
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_CannotAddMultipleImageLibraryGroupDescriptors
| error: cannot add multiple image library group descriptors (see TID 1600 Row 3)
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_MissingImageLibraryEntryDescriptorModality
| error: the current (most recently added) image library entry has no modality descriptor
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_WrongImageLibraryEntryDescriptorModality
| error: the current (most recently added) image library entry has the wrong modality descriptor
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_NoImageLibraryEntryDescriptorsToBeAdded
| normal: there are no image library entry descriptors to be added (copied from the dataset)
DCMTK_CMR_EXPORT const OFConditionConst | CMR_EC_NoImageLibraryEntryDescriptorsToBeMoved
| normal: there are no (common) image library entry descriptors to be moved (to the image group)

## Detailed Description

Interface class and error constants for TID 1600 in module dcmsr/cmr.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0